<?php
 //require_once ('Question.php');


class QuestionsGateway {
    private $db;
   
    
    function __construct(SqliteDb $db) {
         $this->db=$db;
    }
    
    public function afficherQuestions() {
        $tabQuestions=array();
        $query = 'SELECT numTp FROM Correct  UNION SELECT numTp FROM FunctionCorrect';
        $query = $this->db->prepare($query);
        $result = $query->execute();
        //$nbTpRow = $result->fetchArray(SQLITE3_NUM);
        $i = 0;
        while ($tp = $result->fetchArray(SQLITE3_NUM)){
            $questionQuery = 'SELECT numTp,numquestion,question,reponse FROM Correct WHERE numTp = ?  UNION SELECT numTp,numquestion,question,reponse FROM FunctionCorrect WHERE numTp = ? ';
            $questionQuery = $this->db->prepare($questionQuery);
            $questionQuery->bindParam(1, $tp[0]);
            $questionQuery->bindParam(2, $tp[0]);
            $questionResult = $questionQuery->execute();
            while($q = $questionResult->fetchArray()){
                $tabQuestions[] = new Question($q['numTp'],$q['numquestion'],$q['question'],$q['reponse']);
            }
            $tabTp['tp'.$tp[0]] = $tabQuestions ;  
            unset($tabQuestions);
            $tabQuestions = array();            
        }
        
        //die("<pre>".print_r($tabTp)."</pre");
        return $tabTp;
    }
    
    public function afficherDemonstrations() {
        $i = 0;
        $query = 'SELECT * FROM Demonstration ORDER BY numDemo ASC';
        $query = $this->db->prepare($query);
        $result = $query->execute();
        //$resultats = $this->db->query('SELECT found_rows()');     
        while($q = $result->fetchArray()){
            $i= $i+1;
            $tabDemo[] = new Question(1,$q['numDemo'],$q['description'],$q['reponse']);
        }
        return $tabDemo;
    }
}
